---
title: "Replace signer: Step 1 - Delete"
url: "https://docs.signnow.com/docs/document-field-invite/operations/delete-field_invite-field_invite_id"
type: "endpoint"
section: "document-field-invite"
slug: "document-field-invite/operations/delete-field_invite-field_invite_id"
method: "DELETE"
path: "/field_invite/{field_invite_id}"
operation_id: "delete-field_invite-field_invite_id"
authorization: "bearer"
---

# Replace signer: Step 1 - Delete

`DELETE /field_invite/{field_invite_id}`

To replace a signer in the invite, API user should follow three steps: delete the invite to the current signer(1), replace a signer(2), and send the invite to the new signer(3). This endpoint allows you to delete the invite to the current signer.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `field_invite_id` | string | Yes | Path parameter: ID of invite to sign the document. You can find it in the response from `GET /document/{{document_id}}` request as the `id` parameter in the `field_invites` array. |

## Responses

### 200

Returns success if the request is correct. Returns an error when:

**Example** (`example-1`)

```json
{
  "status": "success"
}
```

### 400

* Incorrect access token, "code": 1537. Message: "invalid_token"
* Send to a different email address, "code": 65536. Message: "Could not resend: routing out of order."
* The invite has expired, "code": 65536. Message: "Could not resend expired invite."
* Incorrect field invite id, "code": 65536. Message: "could not resend"
* Forbidden to delete the field invite with email group

**Example** (`Incorrect access token`)

```json
{
  "errors": [
    {
      "code": 1537,
      "message": "invalid token"
    }
  ]
}
```

**Example** (`The invite has expired`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Could not resend expired invite."
    }
  ]
}
```

**Example** (`Incorrect field invite id`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "could not resend"
    }
  ]
}
```

**Example** (`Send to a different email address`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Could not resend: routing out of order."
    }
  ]
}
```

**Example** (`Forbidden to delete the field invite with email group`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Forbidden to delete the field invite with email group"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/field_invite/{field_invite_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-field-invite/operations/delete-field_invite-field_invite_id*
